#ifndef _CommonDialog_H
#define _CommonDialog_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

extern char gsExtractLocation[255 + 1];

typedef struct _DBGICONLIST{
    char *Ext;
    char *Descr;
    int Index;
} DBGICONLIST, *LPDBGICONLIST;

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void SetStatusFileName(HWND xHandle, char *StatusText);
char *FormatiString(char *outStr, char *inStr);
char *FormatInteger(char *outStr, long inLong);
bool GetLastDirectoryInPath(char *inFullPath, char *outLastDir);
long MakeChecksum(char *RawKey);
long Reflect_Checksum(long lReflect, char cChar);
void CreateFolderStructure(char *FullFileName);
void AllocIconList(LPDBGICONLIST lpMyIconList, int ExtLen, int DescrLen);
void FreeIconList(LPDBGICONLIST lpMyIconList);
bool GetIconForExt(char *inExt, char *outIconFile, int *outIconIndex, char *outDescr);

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif

